japa.parser.ast.expr

## Class FieldAccessExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.FieldAccessExpr

    public final class FieldAccessExpr
    extends Expression

### Constructor Summary

Constructors
Constructor and Description
`FieldAccessExpr()`
`FieldAccessExpr(Expression scope, String field)`
`FieldAccessExpr(int beginLine, int beginColumn, int endLine, int endColumn, Expression scope, List<Type> typeArgs, String field)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`String` `getField()`
`Expression` `getScope()`
`List<Type>` `getTypeArgs()`
`void` `setField(String field)`
`void` `setScope(Expression scope)`
`void` `setTypeArgs(List<Type> typeArgs)`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldAccessExpr

    public FieldAccessExpr()

#### FieldAccessExpr

    public FieldAccessExpr(Expression scope,
                   String field)

#### FieldAccessExpr

    public FieldAccessExpr(int beginLine,
                   int beginColumn,
                   int endLine,
                   int endColumn,
                   Expression scope,
                   List<Type> typeArgs,
                   String field)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getField

    public String getField()

#### getScope

    public Expression getScope()

#### getTypeArgs

    public List<Type> getTypeArgs()

#### setField

    public void setField(String field)

#### setScope

    public void setScope(Expression scope)

#### setTypeArgs

    public void setTypeArgs(List<Type> typeArgs)